%
% ver 1  02/2017 within EPOS-IP project.
%
% DESCRIPTION: Program to create the Steam_production GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Date','Time of steam production'
    'Steam_production','Steam production'
    };
[FieldType] = {
    'Date',5
    'Steam_production',22
    };
[FieldUnit] = {
    'Date','datenum'
    'Steam_production','Gm^3'
    };
[d] = struct();

d.Date = [736146
736330
736512];

d.Steam_production = [15.55
    16.66
    17.77];


save('GDF_EpizodName_steam_production_example.mat')