%
% ver 1  02/2017 within EPOS-IP project.
%
% DESCRIPTION: Program to create the Injection_volume GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Date','Time of injected volume'
    'Injection_volume','Injected volume'};
[FieldType] = {
    'Date',5
    'Injection_volume',13};
[FieldUnit] = {
    'Date','datenum'
    'Injection_volume','mln m^3'};
[d] = struct();

d.Date = [714932
715297
715662
];

d.Injection_volume = [1.101
1.202
1.303
];

save('GDF_EpizodName_injeciton_volume_example.mat')