%
% ver 1  03/2017 within EPOS-IP project.
%
% DESCRIPTION: Program to create the natural gas production GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'; %['EPSG:' num2str(input('[CRS] EPSG code = '))];
[TimeZone] = 'UTC';%input('TimeZone (char) = ');
[Description] = ['Description of the dataset.'...
                'Description of the dataset'];%input('Description of data (char) = ');
         
[FieldDescription] = {
    'Date','Date';
    'Field_name','Field name'};
[FieldType] = {
    'Date',5;
    'Field_name', 22};
[FieldUnit] = {
    'Date','datenum';
    'Field_name','Gm^3'};
[d] = struct();
d.Date=[714415
714781
714962
715146
715327
];
d.Field_name=[0.1
0.2
0.3
0.2
0.1
];

         
save('GDF_EpisodeName_natural_gas_production_example.mat')